Bug 17343 - Package dependency list does not fit on any screen
Summary: Package dependency list does not fit on any screen
Status: RESOLVED WORKSFORME
Alias: None
Product: PackageKit
Classification: Unclassified
Component: client-library (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-28 14:07 UTC by Sven-Erik Petermann
Modified: 2008-08-29 03:00 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
A screenshot of the dialogue (574.78 KB, image/png)
2008-08-28 14:07 UTC, Sven-Erik Petermann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven-Erik Petermann 2008-08-28 14:07:40 UTC
Created attachment 18558 [details]
A screenshot of the dialogue

Trying to remove a package that has lots of dependencies will show a dialogue that contains a very long list of packages.
Comment 1 Sven-Erik Petermann 2008-08-28 14:10:03 UTC
Oh, I'm using gnome-packagekit-0.2.3-9.fc9.i386 and PackageKit-0.2.4-4.fc9.i386.
Comment 2 Richard Hughes 2008-08-29 01:55:43 UTC
I've already fixed this in git, the result looks somehting like this: http://www.packagekit.org/img/gpk-added-deps.png

I need to backport 0.3.2 into F9 in a few weeks time.
Comment 3 Sven-Erik Petermann 2008-08-29 03:00:25 UTC
Looks great,
can't wait!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.